package com.xwd.hospital.server.service;

import com.google.gson.JsonObject;
import com.xwd.hospital.server.rest.thirdPartReq.BindNumberReq;
import org.springframework.web.bind.annotation.RequestBody;
import retrofit2.Call;
import retrofit2.http.*;

import java.util.Map;

public interface CallApiService {


    @POST("/v20160818/rlxh/midNumBind/{account}")
    Call<JsonObject> bindNumber(@HeaderMap Map<String, String> headers, @Body BindNumberReq body, @Path("account") String account, @Query("sig") String sig);

    @FormUrlEncoded
    @POST("/v20160818/rlxh/midNumUnBinding/{account}")
    Call<String> unbindNumber(@HeaderMap Map<String, String> headers,@FieldMap Map<String, Object> map,@Path("account") String account);
}
